

*FILE THAT GENERATES CHARTS FOR IRF IN SECTION 6



*******************************************
***************** BENCHMARK ***************
*******************************************

*Run first 2_Estimate_Taylor.do for the selected spec. and then 4_LP_robust.do

*Rename variables
local spec "bch"

*Baseline
foreach y in tdebtinc lrgdp lrhw_sa cpi{
foreach w in coef coefu coefl{
	rename `w'_`y' `w'_`y'_`spec'
}
}

*Conditional on household debt
foreach y in tdebtinc lrgdp lrhw_sa cpi{
foreach w in coef coefu coefl{
foreach debt in debt_h debt_l debt_m { 
	rename `w'_`y'_`debt' `w'_`y'_`debt'_`spec'
}
}
}

rename mpsg mpsg_`spec'
rename yfit_state yfit_state_`spec'
rename yfit_state_iqr4q yfit_state_iqr4q_`spec'

keep(time state statenr h *`spec')
saveold Robust_`spec',version(12) replace

***************************************************************************************************************************************************************************************



*********************************************************
***************** WU-XIA SHADOW RATE ********************
*********************************************************

local spec "wu"

*Baseline
foreach y in tdebtinc lrgdp lrhw_sa cpi{
foreach w in coef coefu coefl{
	rename `w'_`y' `w'_`y'_`spec'
}
}

*Conditional on household debt
foreach y in tdebtinc lrgdp lrhw_sa cpi{
foreach w in coef coefu coefl{
foreach debt in debt_h debt_l debt_m { 
	rename `w'_`y'_`debt' `w'_`y'_`debt'_`spec'
}
}
}

rename mpsg mpsg_`spec'
rename yfit_state yfit_state_`spec'
rename yfit_state_iqr4q yfit_state_iqr4q_`spec'

keep(time state statenr h *`spec')
saveold Robust_`spec',version(12) replace

***************************************************************************************************************************************************************************************



****************************************************************
***************** TAYLOR RULE WITH DEBT GAP ********************
****************************************************************

local spec "fin"

*Baseline
foreach y in tdebtinc lrgdp lrhw_sa cpi{
foreach w in coef coefu coefl{
	rename `w'_`y' `w'_`y'_`spec'
}
}

*Conditional on household debt
foreach y in tdebtinc lrgdp lrhw_sa cpi{
foreach w in coef coefu coefl{
foreach debt in debt_h debt_l debt_m { 
	rename `w'_`y'_`debt' `w'_`y'_`debt'_`spec'
}
}
}

rename mpsg mpsg_`spec'
rename yfit_state yfit_state_`spec'
rename yfit_state_iqr4q yfit_state_iqr4q_`spec'

keep(time state statenr h *`spec')
saveold Robust_`spec',version(12) replace

***************************************************************************************************************************************************************************************


*********************************************************
***************** UNEMPLOYMENT GAP **********************
*********************************************************

local spec "ug"

*Baseline
foreach y in tdebtinc lrgdp lrhw_sa cpi{
foreach w in coef coefu coefl{
	rename `w'_`y' `w'_`y'_`spec'
}
}

*Conditional on household debt
foreach y in tdebtinc lrgdp lrhw_sa cpi{
foreach w in coef coefu coefl{
foreach debt in debt_h debt_l debt_m { 
	rename `w'_`y'_`debt' `w'_`y'_`debt'_`spec'
}
}
}

rename mpsg mpsg_`spec'
rename yfit_state yfit_state_`spec'
rename yfit_state_iqr4q yfit_state_iqr4q_`spec'

keep(time state statenr h *`spec')
saveold Robust_`spec',version(12) replace

***************************************************************************************************************************************************************************************


****************************************************
***************** ACTUAL DATA **********************
****************************************************

local spec "dat"

*Baseline
foreach y in tdebtinc lrgdp lrhw_sa cpi{
foreach w in coef coefu coefl{
	rename `w'_`y' `w'_`y'_`spec'
}
}

*Conditional on household debt
foreach y in tdebtinc lrgdp lrhw_sa cpi{
foreach w in coef coefu coefl{
foreach debt in debt_h debt_l debt_m { 
	rename `w'_`y'_`debt' `w'_`y'_`debt'_`spec'
}
}
}

rename mpsg mpsg_`spec'
rename yfit_state yfit_state_`spec'
rename yfit_state_iqr4q yfit_state_iqr4q_`spec'

keep(time state statenr h *`spec')
saveold Robust_`spec',version(12) replace

***************************************************************************************************************************************************************************************




*MERGE DATASETS (after having generated all specifications!)
clear
use Robust_bch
foreach v in wu fin ug dat{
	merge 1:1 time state using Robust_`v',
	drop _merge
}

label variable coef_tdebtinc_bch "Debt-to-income"
label variable coef_lrgdp_bch "GDP"
label variable coef_lrhw_sa_bch "Housing wealth"
label variable coef_cpi_bch "Inflation"


*Figure 10 in the paper
twoway line yfit_state_iqr4q_bch yfit_state_iqr4q_fin yfit_state_iqr4q_wu yfit_state_iqr4q_ug yfit_state_iqr4q_dat time if tin(1999q4,2017q2) & statenr==1, legend(label(1 "Base") ///
label(2 "Financ") label(3 "Wu-Xia") label(4 "Ugap") label(5 "Actual")) lpattern(solid longdash shortdash dash_dot dot) color(navy cranberry green dkorange black) ytitle(percentage points) ///
legend(pos(11) ring(0) col(1)) legend(size(small) rows(5)) graphregion(fcolor(white)) xtitle("") xlabel(159(10)229)


*Figure 11 in the paper
set scheme s1mono
foreach y in tdebtinc{
	twoway line coef_`y'_bch coef_`y'_fin coef_`y'_wu coef_`y'_ug coef_`y'_dat h if h>=0 & h<=20 & statenr==1, yline(0) legend(label(1 "Base") label(2 "Financ") label(3 "Wu-Xia") ///
	label(4 "Ugap") label(5 "Actual")) xtitle("") xlabel(0 5 10 15 20) lpattern(solid longdash shortdash dash_dot dot) legend(pos(11) ring(0) col(1)) legend(size(vsmall) rows(5)) ///
	color(navy cranberry green dkorange black) graphregion(fcolor(white)) title(`: variable label coef_`y'_bch') name(`y', replace) nodraw
	local `y' ``y'' `y'
	}
foreach y in lrgdp lrhw_sa cpi{
	twoway line coef_`y'_bch coef_`y'_fin coef_`y'_wu coef_`y'_ug coef_`y'_dat h if h>=0 & h<=20 & statenr==1, yline(0) legend(off) xtitle("") xlabel(0 5 10 15 20) ///
	lpattern(solid longdash shortdash dash_dot dot) color(navy cranberry green dkorange black) graphregion(fcolor(white)) title(`: variable label coef_`y'_bch') name(`y', replace) nodraw
	local `y' ``y'' `y'	
	}
graph combine `tdebtinc' `lrgdp' `lrhw_sa' `cpi'


*Figure 12 in the paper
foreach y in tdebtinc lrgdp lrhw_sa cpi{
	twoway line coef_`y'_debt_h_bch coef_`y'_debt_h_fin coef_`y'_debt_h_wu coef_`y'_debt_h_ug coef_`y'_debt_h_dat h if h>=0 & h<=20 & statenr==5, yline(0) legend(off) xtitle("") xlabel(0 5 10 15 20) ///
	lpattern(solid longdash shortdash dash_dot dot) color(navy cranberry green dkorange black) graphregion(fcolor(white)) ytitle(`: variable label coef_`y'_bch') name(`y', replace) nodraw
	local `y'1 ``y'' `y'
	}
graph combine `tdebtinc1' `lrgdp1' `lrhw_sa1' `cpi1', cols(1) xsize(2) ysize(7) name(combine1, replace) title("High debt", size(medsmall)) nodraw

foreach y in tdebtinc lrgdp lrhw_sa cpi{
	twoway line coef_`y'_debt_l_bch coef_`y'_debt_l_fin coef_`y'_debt_l_wu coef_`y'_debt_l_ug coef_`y'_debt_l_dat h if h>=0 & h<=20 & statenr==5, yline(0) legend(off) xtitle("") xlabel(0 5 10 15 20) ///
	lpattern(solid longdash shortdash dash_dot dot) color(navy cranberry green dkorange black) graphregion(fcolor(white)) ytitle("") name(`y', replace) nodraw
	local `y'2 ``y'' `y'
	}
graph combine `tdebtinc2' `lrgdp2' `lrhw_sa2' `cpi2', cols(1) xsize(2) ysize(7) name(combine2, replace) title("Low debt", size(medsmall)) nodraw

foreach y in tdebtinc lrgdp lrhw_sa cpi{
	twoway line coef_`y'_debt_m_bch coef_`y'_debt_m_fin coef_`y'_debt_m_wu coef_`y'_debt_m_ug coef_`y'_debt_m_dat h if h>=0 & h<=20 & statenr==5, yline(0) legend(off) xtitle("") xlabel(0 5 10 15 20) ///
	lpattern(solid longdash shortdash dash_dot dot) color(navy cranberry green dkorange black) graphregion(fcolor(white)) ytitle("") name(`y', replace) nodraw
	local `y'3 ``y'' `y'
	}
graph combine `tdebtinc3' `lrgdp3' `lrhw_sa3' `cpi3', cols(1) xsize(2) ysize(7) name(combine3, replace) title("Moderate debt", size(medsmall)) nodraw

graph combine combine1 combine2 combine3, cols(3) xsize(3) ysize(3) name(combine_final, replace)


